Arch: Piano di sezione

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch SectionPlane and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎українська
Arrow-left.svg Arch Window.svg Finestra Pagina precedente:
Pagina successiva: Asse Arch CompAxis.png Arrow-right.svg

Arch SectionPlane.svg Piano di sezione

Posizione nel menu
Arch → Piano di sezione
Ambiente
Architettura
Avvio veloce
S P
Introdotto nella versione
-
Vedere anche
Vista 2D, Vista di Arch


Descrizione

Questo strumento posiziona nel documento corrente un attrezzo Piano di sezione, che definisce una sezione o un piano di vista. Il piano di sezione viene posizionato in funzione del corrente Piano di lavoro e può essere spostato e riorientato muovendolo e ruotandolo, fino a quando non riproduce la vista 2D che si vuole ottenere. L'oggetto Piano di sezione prende in considerazione solo un certo insieme di oggetti. Gli oggetti che sono selezionati quando si crea un piano di sezione sono aggiunti a queesto insieme automaticamente. Altri oggetti possono essere aggiunti o rimossi da un Piano di sezione anche in seguito con gli strumenti Aggiungi componente o Rimuovi componente, o facendo doppio clic sul Piano di sezione nella vista ad albero.

Il solo Piano di sezione non crea alcuna vista degli oggetti. Per ottenere le viste, è necessario creare un Disegno per creare una vista in una Pagina di disegno , e una Vista 2D per creare una vista nel documento 3D stesso, o una Vista TechDraw di Arch per creare una vista in una Pagina di TechDraw.

Arch SectionPlane example.jpg

Utilizzo

  1. Opzionalmente, impostare il Piano di lavoro per riflettere il piano in cui si desidera posizionare il piano di sezione.
  2. Selezionare gli oggetti da includere nella sezione.
  3. Premere il pulsante Arch SectionPlane.svg Piano di sezione, oppure premere i tasti S e P.
  4. Spostare o ruotare il piano di sezione nella posizione corretta, se necessario.
  5. Selezionare il piano di sezione se non è già stato selezionato.
  6. Usare Vista disegno di Drawing, Vista 2D di Draft o Vista TechDraw di Arch per creare la vista.

Opzioni

  • L'oggetto Piano di sezione prende in considerazione solo un certo insieme di oggetti, non tutti gli oggetti del documento. Gli oggetti possono essere aggiunti o rimossi da un oggetto Piano di sezione utilizzando gli strumenti Aggiungi e Rimuovi, o facendo doppio clic sul Piano di sezione nella vista ad albero, e poi selezionando gli oggetti sia nella lista che nella scena 3D, e premendo il tasto aggiungi o rimuovi.
  • Con un oggetto piano di sezione selezionato, utilizzare lo strumento Vista 2D per creare nel documento un oggetto che rappresenta la vista di sezione

Arch Section example2.jpg

Arch Section example3.jpg

  • Il Piano di sezione può anche essere usato per mostrare l'intera vista 3D tagliata da un piano infinito. Questo è solo visivo, e non influenza la geometria degli oggetti da tagliare.

Arch SectionPlane CutView.jpg

Proprietà

  • DATIOnly Solids: se questo è vero, gli oggetti non solidi vengono ignorati
  • VISTADisplay Length: la lunghezza della sezione piana gizmo nella vista 3D. Non influisce sulla vista risultante
  • VISTADisplay Height: l'altezza della sezione piana gizmo nella vista 3D. Non influisce sulla vista risultante
  • VISTAArrow Size: la dimensione delle frecce del piano di sezione gizmo nella vista 3D. Non influisce sulla vista risultante
  • VISTACut View: se questo è True, vero, l'intera vista 3D viene tagliata in corrispondenza di tale piano di sezione.
  • VIEWClip view: se True, ritaglia la vista all'altezza e alla lunghezza della visualizzazione del piano di taglio. Questo trasforma efficacemente il piano di taglio in una fotocamera ortografica, limitando il campo visivo del piano. Disponibile dalla versione 0.19

Arch SectionPlane ClipView.png

Il piano di sezione con l'opzione clip view si comporta come una fotocamera, limitando il campo visivo.


Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Lo strumento Piano di sezione può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

Section = makeSectionPlane(objectslist=None, name="Section")
  • Crea un oggetto Section da una objectslist, che è una lista di oggetti.

Esempio:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
Structure = Arch.makeStructure(length=1000, width=1000, height=200)
FreeCAD.ActiveDocument.recompute()

BuildingPart = Arch.makeBuildingPart([Wall1, Wall2])

Floor = Arch.makeFloor([BuildingPart])
Building = Arch.makeBuilding([Floor, Structure])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()

Section1 = Arch.makeSectionPlane([Wall1, Wall2])
Section2 = Arch.makeSectionPlane([Structure])
Section3 = Arch.makeSectionPlane([Site])
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch Window.svg Finestra Pagina precedente:
Pagina successiva: Asse Arch CompAxis.png Arrow-right.svg